#############################################################################
# Makefile for building: phony_target
# Generated by qmake (2.01a) (Qt 4.7.2) on: Thu 23. Jun 03:29:39 2011
# Project:  static.pro
# Template: app
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUNICODE -DQT_LARGEFILE_SUPPORT -DIDE_LIBRARY_BASENAME=\"lib\" -DQT_NO_CAST_TO_ASCII -DNQTC_SETTINGS_ORG=\"eu.licentia.necessitas\" -DNQTC_SETTINGS_APPNAME=\"NecessitasQtCreator\" -DNQTC_SETTINGS_DOMAIN=\"www.kde.org\" -DQT_USE_FAST_OPERATOR_PLUS -DQT_USE_FAST_CONCATENATION -DQT_NEEDS_QMAIN
CFLAGS        = -mms-bitfields -O2 -Wall $(DEFINES)
CXXFLAGS      = -mms-bitfields -O2 -frtti -fexceptions -mthreads -Wall $(DEFINES)
INCPATH       = -I'../../src/libs' -I'C:/usr/necessitas/android-qt-creator/tools' -I'../../src/plugins' -I'../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/default'
LINK        =        @: IGNORE THIS LINE
LFLAGS        =        -Wl,-enable-stdcall-fixup -Wl,-enable-auto-import -Wl,-enable-runtime-pseudo-reloc -Wl,-s -mthreads -Wl,-subsystem,windows
LIBS        =         
QMAKE         = C:/usr/necessitas/b-qt-everywhere-opensource-src-4.7.3-sh/bin/qmake.exe
IDC           = /usr/necessitas/b-qt-everywhere-opensource-src-4.7.3-sh/bin/idc.exe
IDL           = midl
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = 
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = cp -rf
DEL_FILE      = rm -f
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
INSTALL_FILE    = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR     = $(COPY_DIR)

####### Output directory

OBJECTS_DIR   = release/

####### Files

SOURCES       =  
OBJECTS       = 
DIST          = 
QMAKE_TARGET  = phony_target
DESTDIR        = release/ #avoid trailing-slash linebreak
TARGET         = phony_target.exe
DESTDIR_TARGET = release/phony_target.exe

####### Implicit rules

.SUFFIXES: .cpp .cc .cxx .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

first: all
all: Makefile.static.Release  $(DESTDIR_TARGET)

$(DESTDIR_TARGET): externaltools/lrelease.xml externaltools/lupdate.xml externaltools/sort.xml externaltools/notepad_win.xml $(OBJECTS) 
	$(LINK) $(LFLAGS) -o $(DESTDIR_TARGET) $(OBJECTS)  $(LIBS)

qmake:  FORCE
	@$(QMAKE) CONFIG+=release -o Makefile.static.Release static.pro

dist:
	$(ZIP) phony_target.zip $(SOURCES) $(DIST) ../../qtcreator.pro ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/qconfig.pri ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/modules/qt_webkit_version.pri ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/qt_functions.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/qt_config.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/win32-g++/qmake.conf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/exclusive_builds.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/default_pre.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/win32/default_pre.prf ../../qtcreator.pri ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/release.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/debug_and_release.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/default_post.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/win32/default_post.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/build_pass.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/win32/stl.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/win32/rtti.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/win32/exceptions.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/warn_on.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/shared.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/win32/windows.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/win32/thread_off.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/resources.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/uic.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/yacc.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/lex.prf ../../../b-qt-everywhere-opensource-src-4.7.3-sh/mkspecs/features/include_source_dir.prf  DATA_FILES RESOURCES FORMS IMAGES YACCSOURCES YACCSOURCES LEXSOURCES 

clean: compiler_clean 

distclean: clean
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile.static.Release

check: first

compiler_unconditionalCopy2build_make_all: externaltools/lrelease.xml externaltools/lupdate.xml externaltools/sort.xml externaltools/notepad_win.xml
compiler_unconditionalCopy2build_clean:
	-$(DEL_FILE) externaltools/lrelease.xml externaltools/lupdate.xml externaltools/sort.xml externaltools/notepad_win.xml
externaltools/lrelease.xml: ../../src/share/qtcreator/externaltools/lrelease.xml
	cp -f "../../src/share/qtcreator/externaltools/lrelease.xml" "externaltools/lrelease.xml"

externaltools/lupdate.xml: ../../src/share/qtcreator/externaltools/lupdate.xml
	cp -f "../../src/share/qtcreator/externaltools/lupdate.xml" "externaltools/lupdate.xml"

externaltools/sort.xml: ../../src/share/qtcreator/externaltools/sort.xml
	cp -f "../../src/share/qtcreator/externaltools/sort.xml" "externaltools/sort.xml"

externaltools/notepad_win.xml: ../../src/share/qtcreator/externaltools/notepad_win.xml
	cp -f "../../src/share/qtcreator/externaltools/notepad_win.xml" "externaltools/notepad_win.xml"

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_unconditionalCopy2build_clean 



####### Compile

####### Install

install_examplebrowser: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/examplebrowser $(INSTALL_ROOT)/share/qtcreator/examplebrowser


uninstall_examplebrowser:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/examplebrowser
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_snippets: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/snippets $(INSTALL_ROOT)/share/qtcreator/snippets


uninstall_snippets:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/snippets
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_templates: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/templates $(INSTALL_ROOT)/share/qtcreator/templates


uninstall_templates:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/templates
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_designer: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/designer $(INSTALL_ROOT)/share/qtcreator/designer


uninstall_designer:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/designer
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_schemes: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/schemes $(INSTALL_ROOT)/share/qtcreator/schemes


uninstall_schemes:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/schemes
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_styles: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/styles $(INSTALL_ROOT)/share/qtcreator/styles


uninstall_styles:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/styles
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_rss: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/rss $(INSTALL_ROOT)/share/qtcreator/rss


uninstall_rss:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/rss
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_gdbmacros: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/gdbmacros $(INSTALL_ROOT)/share/qtcreator/gdbmacros


uninstall_gdbmacros:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/gdbmacros
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_qmldesigner: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/qmldesigner $(INSTALL_ROOT)/share/qtcreator/qmldesigner


uninstall_qmldesigner:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/qmldesigner
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_qmlicons: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/qmlicons $(INSTALL_ROOT)/share/qtcreator/qmlicons


uninstall_qmlicons:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/qmlicons
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_qml: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/qml $(INSTALL_ROOT)/share/qtcreator/qml


uninstall_qml:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/qml
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_qml-type-descriptions: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/qml-type-descriptions $(INSTALL_ROOT)/share/qtcreator/qml-type-descriptions


uninstall_qml-type-descriptions:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/qml-type-descriptions
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_generic-highlighter: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/generic-highlighter $(INSTALL_ROOT)/share/qtcreator/generic-highlighter


uninstall_generic-highlighter:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/generic-highlighter
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_glsl: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/glsl $(INSTALL_ROOT)/share/qtcreator/glsl


uninstall_glsl:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/glsl
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install_externaltools: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/share/qtcreator/ || $(MKDIR) $(INSTALL_ROOT)/share/qtcreator/ 
	-$(INSTALL_DIR) C:/usr/necessitas/android-qt-creator/share/qtcreator/externaltools $(INSTALL_ROOT)/share/qtcreator/externaltools


uninstall_externaltools:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/share/qtcreator/externaltools
	-$(DEL_DIR) $(INSTALL_ROOT)/share/qtcreator/ 


install:  install_examplebrowser install_snippets install_templates install_designer install_schemes install_styles install_rss install_gdbmacros install_qmldesigner install_qmlicons install_qml install_qml-type-descriptions install_generic-highlighter install_glsl install_externaltools  FORCE

uninstall: uninstall_examplebrowser uninstall_snippets uninstall_templates uninstall_designer uninstall_schemes uninstall_styles uninstall_rss uninstall_gdbmacros uninstall_qmldesigner uninstall_qmlicons uninstall_qml uninstall_qml-type-descriptions uninstall_generic-highlighter uninstall_glsl uninstall_externaltools   FORCE

FORCE:

